\set ON_ERROR_STOP on


--
--new columns
--
ALTER TABLE ph_box_com_auth ADD COLUMN IF NOT EXISTS client_id character varying(255);
ALTER TABLE ph_box_com_auth ADD COLUMN IF NOT EXISTS client_secret character varying(255);

--
--delete orphaned data
--
DELETE FROM ph_dwl_entry_incident where incident_id in (select ph_dwl_entry_incident.incident_id from ph_dwl_entry_incident left outer join ph_incident on ph_incident.incident_id=ph_dwl_entry_incident.incident_id where ph_incident.incident_id is null);
DELETE FROM ph_incident2device where incident_id in (select ph_incident2device.incident_id from ph_incident2device left outer join ph_incident on ph_incident.incident_id=ph_incident2device.incident_id where ph_incident.incident_id is null);
DELETE FROM ph_notification_action_result where incident_id in (select ph_notification_action_result.incident_id from ph_notification_action_result left outer join ph_incident on ph_incident.incident_id=ph_notification_action_result.incident_id where ph_incident.incident_id is null);
DELETE FROM ph_geo_loc where incident_id in (select ph_geo_loc.incident_id from ph_geo_loc left outer join ph_incident on ph_incident.incident_id=ph_geo_loc.incident_id where ph_incident.incident_id is null);

-- Function


update ph_drq_rule a set incident_attr = regexp_replace(incident_attr,'(eventType\s*=)','compEventType =','g') where incident_attr similar to '%\s*eventType\s*=%';


--
-- update db version
--
update ph_sys_conf set value = '6.3.2' where property = 'DB_Schema_Version';
